summaryrefslogtreecommitdiffstats
path: root/academic/lapack95/lapack95.SlackBuild
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:30:35 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:30:35 -0400
commit9beec3dfac8e993b5c1c27568a080315852bb101 (patch)
tree3011e441c642e0ed346d4189a0372438cf0e1fa6 /academic/lapack95/lapack95.SlackBuild
parentf9a7c68a3c0641e566472843741fe1225512a291 (diff)
downloadslackbuilds-9beec3dfac8e993b5c1c27568a080315852bb101.tar.gz
slackbuilds-9beec3dfac8e993b5c1c27568a080315852bb101.tar.xz
academic/lapack95: Fixed for bash4.
Diffstat (limited to 'academic/lapack95/lapack95.SlackBuild')
-rw-r--r--academic/lapack95/lapack95.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/academic/lapack95/lapack95.SlackBuild b/academic/lapack95/lapack95.SlackBuild
index bd72f7acb6..287ecc035c 100644
--- a/academic/lapack95/lapack95.SlackBuild
+++ b/academic/lapack95/lapack95.SlackBuild
@@ -64,12 +64,8 @@ mkdir -p $PKG/usr/bin
sed "s%@VERSION@%$VERSION%" $CWD/lapack95-config > $PKG/usr/bin/lapack95-config
chmod 755 $PKG/usr/bin/lapack95-config
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README $PKG/usr/doc/$PRGNAM-$VERSION